curl --request PUT \
--url https://api.eflow.team/v1/networks/custom/landingpages/{settingId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_offer_id": 1,
"name": "Updated Custom LP",
"network_offer_landing_page_id": 1,
"destination_url": "https://example.com/updated-landing",
"custom_setting_status": "active",
"is_apply_all_affiliates": false,
"network_affiliate_ids": [
7
],
"network_offer_creative_ids": [],
"description": "",
"date_valid_from": "",
"date_valid_to": ""
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/landingpages/{settingId}"
payload = {
"network_offer_id": 1,
"name": "Updated Custom LP",
"network_offer_landing_page_id": 1,
"destination_url": "https://example.com/updated-landing",
"custom_setting_status": "active",
"is_apply_all_affiliates": False,
"network_affiliate_ids": [7],
"network_offer_creative_ids": [],
"description": "",
"date_valid_from": "",
"date_valid_to": ""
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_offer_id: 1,
name: 'Updated Custom LP',
network_offer_landing_page_id: 1,
destination_url: 'https://example.com/updated-landing',
custom_setting_status: 'active',
is_apply_all_affiliates: false,
network_affiliate_ids: [7],
network_offer_creative_ids: [],
description: '',
date_valid_from: '',
date_valid_to: ''
})
};
fetch('https://api.eflow.team/v1/networks/custom/landingpages/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_custom_landing_page_setting_id": 123,
"network_id": 123,
"is_apply_all_affiliates": true,
"network_affiliate_ids": [
123
],
"network_offer_id": 123,
"name": "<string>",
"network_offer_landing_page_id": 123,
"description": "<string>",
"destination_url": "<string>",
"custom_setting_status": "active",
"date_valid_from": "<string>",
"date_valid_to": "<string>",
"network_offer_creative_ids": [
123
],
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliates": [
{
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
}
],
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"variables": {
"total": 123,
"entries": [
{
"network___custom___landing___page___setting___variable___id": 123,
"network___custom___landing___page___setting___id": 123,
"comparison_method": "<string>",
"variable": "<string>",
"variable_value": "<string>",
"variable_secondary_value": "<string>"
}
]
}
}
}Update Custom Landing Page Setting
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The custom landing page setting ID.
Body
Whether this setting applies to all affiliates.
Array of affiliate IDs this setting applies to. Required when is_apply_all_affiliates is false.
The offer ID for this landing page setting.
Display name for this custom landing page setting.
The offer landing page ID to override.
Optional description for this setting.
The custom destination URL.
Status of the landing page setting.
active, inactive Start date for when this setting is active (YYYY-MM-DD).
End date for when this setting expires (YYYY-MM-DD).
Array of offer creative IDs associated with this setting.
Targeting ruleset for this custom landing page setting. Allows you to restrict when this custom landing page is used based on geographic, device, browser, and connection criteria. See the Ruleset guide for details.
Goal condition variables that must match for this custom landing page to take effect. Each variable defines a condition based on tracking parameters.
Show child attributes
Show child attributes
Response
Unique custom landing page setting ID.
Network ID.
Whether this setting applies to all affiliates.
Array of affiliate IDs this setting applies to.
The associated offer ID.
Display name for this custom landing page setting.
The offer landing page ID to override.
Description for this setting.
The custom destination URL.
Status of the landing page setting.
active, inactive Start date for when this setting is active (YYYY-MM-DD).
End date for when this setting expires (YYYY-MM-DD).
Array of offer creative IDs associated with this setting.
Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Show child attributes
Show child attributes
Was this page helpful?
